Skip to contents

# This function rescales a vector of numerical values with an outlier-robust Sigmoidal transformation

Source: `R/rescalers.R`
`robustsigmoid_scaler.Rd`

This function rescales a vector of numerical values with an outlier-robust Sigmoidal transformation

## Usage

    robustsigmoid_scaler(x, unitInt = TRUE)

## Arguments

x

  a numeric vector, preferably of feature values computed by other `theft` package functions

unitInt

  Booelan whether to rescale Sigmoidal outputs into unit interval `[0,1]`. Defaults to `TRUE`

## Value

x a numeric rescaled vector

## Author

Trent Henderson

## Examples

    robustsigmoid_scaler(stats::rnorm(10))
    #>  [1] 0.2309227 0.3776043 0.9801462 0.5185956 0.5457810 1.0000000 0.6898731
    #>  [8] 0.0000000 0.1801651 0.2799617